Bug 1091938 (CVE-2014-0114) - CVE-2014-0114 Apache Struts 1: Class Loader manipulation via request parameters
Summary: CVE-2014-0114 Apache Struts 1: Class Loader manipulation via request parameters
Status: CLOSED ERRATA
Alias: CVE-2014-0114
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140429,repo...
Keywords: Security
Depends On: 1092452 1092453 1092454 1092455 1092456 1092457 1092458
Blocks: 1091768 1092459 1092461 1093611 1093886 1585921
TreeView+ depends on / blocked
 
Reported: 2014-04-28 11:01 UTC by Arun Babu Neelicattu
Modified: 2019-06-08 20:01 UTC (History)
29 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-16 13:17:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0474 normal SHIPPED_LIVE Important: struts security update 2014-05-07 08:56:26 UTC
Red Hat Product Errata RHSA-2014:0497 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.1.0 security update 2014-05-14 22:06:57 UTC
Red Hat Product Errata RHSA-2014:0498 normal SHIPPED_LIVE Important: Fuse ESB Enterprise 7.1.0 security update 2014-05-14 22:06:52 UTC
Red Hat Product Errata RHSA-2014:0500 normal SHIPPED_LIVE Important: struts security update 2014-06-12 10:13:39 UTC
Red Hat Product Errata RHSA-2014:0511 normal SHIPPED_LIVE Important: Red Hat JBoss Operations Network 3.2.1 security update 2014-05-15 21:18:12 UTC
Red Hat Product Errata RHSA-2018:2669 None None None 2018-09-11 07:54 UTC

Description Arun Babu Neelicattu 2014-04-28 11:01:53 UTC
It was found that the Struts 1 ActionForm object allowed access to the 'class' parameter, which is directly mapped to the getClass() method. A remote attacker could use this flaw to manipulate the ClassLoader used by an application server running Struts 1. This could lead to remote code execution under certain conditions.

The root cause of this issue is the fact that commons-beanutils exposes the class property by default, with no mechanism to disable access to it. If a framework built on commons-beanutils does not otherwise suppress access to the class property, then a remote attacker could use this flaw to manipulate the ClassLoader used by the underlying container. This could lead to remote code execution under certain conditions. commons-beanutils 1.9.2 has now shipped, including a specialized BeanIntrospector implementation that allows suppressing properties. Frameworks built on commons-beantutils can make use of the new pre-configured SuppressPropertiesBeanIntrospector to address this flaw.

Comment 10 Arun Babu Neelicattu 2014-04-29 11:14:56 UTC
Created struts tracking bugs for this issue:

Affects: fedora-all [bug 1092452]

Comment 20 David Jorm 2014-05-02 07:06:29 UTC
Statement:

This flaw allows attackers to manipulate ClassLoader properties on a vulnerable server. The impact of this depends on which ClassLoader properties are exposed. Exploits that lead to remote code execution have been published. These exploits rely on ClassLoader properties that are exposed on Tomcat 8, which is not included in any supported Red Hat products. However, some Red Hat products that ship Struts 1 do expose ClassLoader properties that could potentially be exploited. Additional information can be found in the Red Hat Knowledgebase article: https://access.redhat.com/site/solutions/869353

Comment 31 errata-xmlrpc 2014-05-07 04:58:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0474 https://rhn.redhat.com/errata/RHSA-2014-0474.html

Comment 32 errata-xmlrpc 2014-05-14 18:07:05 UTC
This issue has been addressed in following products:

  Fuse ESB Enterprise 7.1.0 R1 P4

Via RHSA-2014:0498 https://rhn.redhat.com/errata/RHSA-2014-0498.html

Comment 33 errata-xmlrpc 2014-05-14 18:07:10 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse 6.1.0 Patch 1

Via RHSA-2014:0497 https://rhn.redhat.com/errata/RHSA-2014-0497.html

Comment 34 errata-xmlrpc 2014-05-14 19:07:54 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0500 https://rhn.redhat.com/errata/RHSA-2014-0500.html

Comment 35 errata-xmlrpc 2014-05-15 17:18:39 UTC
This issue has been addressed in following products:

  Red Hat JBoss Operations Network 3.2.1

Via RHSA-2014:0511 https://rhn.redhat.com/errata/RHSA-2014-0511.html

Comment 36 Fedora Update System 2014-08-23 02:00:34 UTC
struts-1.3.10-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 39 errata-xmlrpc 2018-09-11 07:53:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669


Note You need to log in before you can comment on or make changes to this bug.